Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.admin
Class UserInfoTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protege.server.admin.UserInfoTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class UserInfoTableModel

extends AbstractTableModel

See Also:
  Serialized Form

Nested Class Summary
`static class` | `UserInfoTableModel.Column`

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`UserInfoTableModel()`

Method Summary
`Class` | `getColumnClass(int colIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int colIndex)`
`RemoteSession` | `getRemoteSession(int row)`
`int` | `getRowCount()`
`RemoteSession` | `getSession(int row)`
`Object` | `getValueAt(int rowIndex, int colIndex)`
`void` | `setUserInfo(Map<RemoteSession,Boolean> userInfo, FrameCalculatorStats stats)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfoTableModel

    public UserInfoTableModel()

Method Detail

### setUserInfo

    public void setUserInfo(Map<RemoteSession,Boolean> userInfo,
                            FrameCalculatorStats stats)

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getValueAt

    public Object getValueAt(int rowIndex,
                             int colIndex)

### getSession

    public RemoteSession getSession(int row)

### getColumnName

    public String getColumnName(int colIndex)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int colIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getRemoteSession

    public RemoteSession getRemoteSession(int row)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.